%define __libtoolize :
# libmikmod rpm specification file
Summary: Library for playing MOD music
Name: libmikmod
Version: 3.1.10
Release: 6m
License: LGPL
Group: System Environment/Libraries
URL: http://www.mikmod.org/
Source: http://www.mikmod.org/files/libmikmod/libmikmod-%{version}.tar.gz

PreReq: info
Prefix:	/usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# NoSource: 0

%description
A portable sound library for Unix and other systems, capable of playing samples
as well as module files, on a wide range of sound devices.

%package devel
Summary: Libraries and include files to develop libmikmod applications
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
Libraries and include files to develop libmikmod applications.


%prep
rm -rf %{buildroot}
%setup -q
%build
#CFLAGS="%{optflags}" ./configure --prefix=%{prefix}
%configure
make

%install
%makeinstall
#make install prefix=%{buildroot}/%{prefix}
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -fr %{buildroot}


%post
/sbin/ldconfig
%post devel
/sbin/install-info %{_infodir}/mikmod.info.* %{_infodir}/dir

%postun 
/sbin/ldconfig
%postun devel
if [ $1 = 0 ] ; then
	/sbin/install-info  --delete %{_infodir}/mikmod.info.* %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB COPYING.LESSER INSTALL NEWS README TODO
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/libmikmod-config
%{prefix}/lib/lib*a
%{prefix}/lib/lib*.so
%{_mandir}/man1/*
%{_infodir}/mikmod*
%{prefix}/share/aclocal/*
%{prefix}/include/*

%changeLog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.10-6m)
- revised spec for enabling rpm 4.2.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.10-5m)
- putosource into repository

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.1.10-4k)

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1.10-2k)
- update to 3.1.10
  update source URL

* Mon Dec 04 2000 Kenichi Matsubara <m@kondara.org>
- [3.1.9-7k]
- bugfix %post %postun.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Feb 15 2000 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- update to 3.1.9

* Fri Dec 18 1999 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- devide from mikmod package

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

